Unlink SSH key from SFTP storage
curl --request POST \
--url https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/key/{key_id}/unlink \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/key/{key_id}/unlink"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v1/storage/{storage_id}/key/{key_id}/unlink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"error": "<string>"
}Storage
Unlink SSH key from SFTP storage
deprecated
Removes SSH key association from an SFTP storage, disabling passwordless authentication for that key. The key itself remains available for other storages.
Deprecated: Use PATCH /v4/sftp_storages/ with ssh_key_ids array instead.
POST
/
storage
/
provisioning
/
v1
/
storage
/
{storage_id}
/
key
/
{key_id}
/
unlink
Unlink SSH key from SFTP storage
Was this page helpful?
⌘I